# Standards: 0.11
---

# 13.6 Ensure root PATH Integrity

- name: 13.6 - Audit root PATH Integrity
  script: "{{ role_path }}/files/audit_13.6.sh"
  always_run: yes
  changed_when: False
  register: audit_13_6
  tags:
    - level-1
    - section-13
    - "13.6"
    - scored

- name: 13.6 - Ensure root PATH Integrity
  fail:
    msg: "*** ACTION REQUIRED *** {{ audit_13_6.stdout_lines }}"
  when:
    - audit_13_6.stdout_lines is defined and audit_13_6.stdout_lines|length > 0
    - fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-13
    - "13.6"
    - scored

- name: 13.6 - Ensure root PATH Integrity
  debug:
    msg: "*** ACTION REQUIRED *** {{ audit_13_6.stdout }}"
  when:
    - audit_13_6.stdout_lines is defined and audit_13_6.stdout_lines|length > 0
    - not fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-13
    - "13.6"
    - scored